# https://github.com/pallets/flask/archive/0.12.2.tar.gz
%global module flask

Name:           python-%{module}
Version:        0.12.2
Release:        %mkrel 1
Summary:        A micro-framework for Python based on Werkzeug, Jinja 2 and good intentions

Group:          Development/Python
License:        BSD
URL:            http://flask.pocoo.org/
Source0:        %{module}-%{version}.tar.xz

BuildArch:      noarch
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-jinja2
BuildRequires:  python-werkzeug
BuildRequires:  python-itsdangerous
BuildRequires:  python-click
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-jinja2
BuildRequires:  python3-werkzeug
BuildRequires:  python3-itsdangerous
BuildRequires:  python3-click
Requires:       python-jinja2
Requires:       python-werkzeug
Requires:       python-itsdangerous
Requires:       python-click

%description
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.

%package -n python3-%{module}
Summary:        A micro-framework for Python3 based on Werkzeug & Jinja 2
Group:          Development/Python
Requires:       python3-jinja2
Requires:       python3-werkzeug
Requires:       python3-itsdangerous
Requires:       python3-click

%description -n python3-%{module}
Flask is called a “micro-framework” because the idea to keep the core
simple but extensible. There is no database abstraction layer, no form
validation or anything else where different libraries already exist
that can handle that. However Flask knows the concept of extensions
that can add this functionality into your application as if it was
implemented in Flask itself. There are currently extensions for object
relational mappers, form validation, upload handling, various open
authentication technologies and more.

Python 3 version.

%prep
%setup -qn %{module}-%{version}
rm -vf examples/flaskr/.gitignore

%build
%py2_build
%py3_build

PYTHONPATH=`pwd` sphinx-build -b html docs/ docs/_build/html/
rm -rf docs/_build/html/{.buildinfo,.doctrees}

%install
%py2_install
%py_byte_compile %{__python2} %{buildroot}%{python2_sitelib}
mv %{buildroot}%{_bindir}/%{module}{,-%{python2_version}}
ln -s %{module}-%{python2_version} %{buildroot}%{_bindir}/%{module}-2

%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitelib}
mv %{buildroot}%{_bindir}/%{module}{,-%{python3_version}}
ln -s %{module}-%{python3_version} %{buildroot}%{_bindir}/%{module}-3
ln -sf %{module}-2 %{buildroot}%{_bindir}/%{module}

%files
%doc CHANGES README LICENSE
%{_bindir}/%{module}
%{_bindir}/%{module}-2
%{_bindir}/%{module}-%{python2_version}
%{python2_sitelib}/*

%files -n python3-%{module}
%doc CHANGES README LICENSE
%{_bindir}/%{module}-3
%{_bindir}/%{module}-%{python3_version}
%{python3_sitelib}/*

%changelog
* Thu Jul 03 2018 adrianomorselli <adrianomorselli> 0.12.2-1uplos2018
- update
